Update a GPU VM

Updates mutable properties of a GPU VM. Requires scope: vm.write.

Authentication

AuthorizationBearer

IBEE platform API token, for example: ibee_live_xxx.

Path parameters

vm_idstringRequired
Virtual machine ID.

Query parameters

workspace_idstringRequired
The workspace ID to scope this request to.

Request

This endpoint expects an object.
namestringOptional>=1 character
New display name for the VM.
tagslist of stringsOptional
Updated tags. Replaces all existing tags.

Response

GPU VM updated successfully.
idstring
namestring
statusenum
cpuinteger
ram_mbinteger
disk_gbinteger
os_typestring
os_distrostring
gpu_countinteger
gpu_modelstring
plan_namestring or null
public_ipstring or null
private_ipstring or null
tagslist of strings
created_atdatetime
updated_atdatetime or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error